Ошибка при запуске ./настроить на источник Повсеместности

Я добавил патч к источнику Ubiquity и пытаюсь собрать и установить пакет для его проверки, однако при выполнении ./configure,

checking for pkg-config... /usr/bin/pkg-config checking pkg-config is at least version 0.9.0... yes checking for PANEL... yes checking for CHEESE... no configure: error: Package requirements (glib-2.0 gtk+-2.0 >= 2.10.0 gobject-2.0 pygobject-2.0 cheese-gtk) were not met: No package 'cheese-gtk' found Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix. Alternatively, you may set the environment variables CHEESE_CFLAGS and CHEESE_LIBS to avoid the need to call pkg-config. See the pkg-config man page for more details.

появляется следующая ошибка. Это усеченная версия - это намного больше, чем раньше, но здесь произошла ошибка.

Я понятия не имею, с чего начать. Я попытался проверить man pkg-config, но это действительно не помогло, но теперь я имею смутное представление о том, что должен делать pkg-config. Ни один из пакетов, перечисленных как отсутствующих, может быть найден apt-get. Я получил cheese (по-видимому, отличается от cheese-gtk), но это не помогло. Я бы очень признателен за помощь в устранении этой проблемы.

3
задан Chris Wilson 20 January 2011 в 22:12
поделиться

18 ответов

Установите libcheese-gtk-dev, и он будет работать. Кроме того, при создании из исходного кода рекомендуется запустить apt-get build-dep <package-name>, прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые сторонние репозитории, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и ответ на этот вопрос.

3
ответ дан Community 25 May 2018 в 20:22
поделиться

Установите libcheese-gtk-dev, и он будет работать. Кроме того, при создании из исходного кода рекомендуется запустить apt-get build-dep <package-name>, прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые сторонние репозитории, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и ответ на этот вопрос.

3
ответ дан Community 25 July 2018 в 19:35
поделиться

установить libcheese-gtk-dev, и он будет работать. Кроме того, при сборке из исходников, это хорошая идея, чтобы запустить apt-get build-dep <package-name> перед сборкой из исходников пакет, который также доступен в репозиториях (в том числе сторонние репозитории вы подключили). Это будет тянуть все пакеты, на которых здания пакета зависит. Благодаря Хорхе комментарий Кастро и ответ andrewsomething для этого.

3
ответ дан Community 26 July 2018 в 19:51
поделиться

Установите libcheese-gtk-dev, и он будет работать. Кроме того, при создании из исходного кода рекомендуется запустить apt-get build-dep <package-name>, прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые сторонние репозитории, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и ответ на этот вопрос.

3
ответ дан Community 2 August 2018 в 01:02
поделиться

Установите libcheese-gtk-dev, и он будет работать. Кроме того, при создании из исходного кода рекомендуется запустить apt-get build-dep <package-name>, прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые сторонние репозитории, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и ответ на этот вопрос.

3
ответ дан Community 4 August 2018 в 17:05
поделиться

установить libcheese-gtk-dev, и он будет работать. Кроме того, при сборке из исходников, это хорошая идея, чтобы запустить apt-get build-dep <package-name> перед сборкой из исходников пакет, который также доступен в репозиториях (в том числе сторонние репозитории вы подключили). Это будет тянуть все пакеты, на которых здания пакета зависит. Благодаря Хорхе комментарий Кастро и ответ andrewsomething для этого.

3
ответ дан Community 6 August 2018 в 01:05
поделиться

Установите libcheese-gtk-dev , и он будет работать. Кроме того, при создании из исходного кода рекомендуется создать apt-get build-dep & lt; имя-пакета & gt; , прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые третьи, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и andrewsomething .

3
ответ дан Community 7 August 2018 в 19:06
поделиться

Установите libcheese-gtk-dev , и он будет работать. Кроме того, при создании из исходного кода рекомендуется создать apt-get build-dep & lt; имя-пакета & gt; , прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые третьи, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и andrewsomething .

3
ответ дан Community 10 August 2018 в 07:20
поделиться

Установите libcheese-gtk-dev , и он будет работать. Кроме того, при создании из исходного кода рекомендуется создать apt-get build-dep & lt; имя-пакета & gt; , прежде чем создавать из исходного пакета пакет, который также доступен в репозиториях (включая любые третьи, которые вы активировали). Это повлечет за собой все пакеты, на которые зависит конструкция пакета. Спасибо за комментарий Хорхе Кастро и andrewsomething .

3
ответ дан Community 13 August 2018 в 13:44
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev. В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity. Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 25 May 2018 в 20:22
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev. В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity. Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 25 July 2018 в 19:35
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev. В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity. Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 26 July 2018 в 19:51
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev. В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity. Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 2 August 2018 в 01:02
поделиться

как вы уже выяснили, вам нужен пакет libcheese-gtk-dev. В будущем, вы можете избавить себя от головной боли, соответствующие пкг-конфиг проверяет с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity это позволит установить все зависимости для сборки пакета.

1
ответ дан andrewsomething 4 August 2018 в 17:05
поделиться

как вы уже выяснили, вам нужен пакет libcheese-gtk-dev. В будущем, вы можете избавить себя от головной боли, соответствующие пкг-конфиг проверяет с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity это позволит установить все зависимости для сборки пакета.

1
ответ дан andrewsomething 6 August 2018 в 01:05
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev . В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 7 August 2018 в 19:06
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev . В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 10 August 2018 в 07:20
поделиться

Как вы уже выяснили, вам понадобился пакет libcheese-gtk-dev . В будущем вы можете сэкономить себе головную боль при сопоставлении pkg-config с пакетами Ubuntu с помощью sudo apt-get build-dep ubiquity Это установит все зависимости сборки для пакета.

1
ответ дан andrewsomething 13 August 2018 в 13:44
поделиться
Другие вопросы по тегам: